function Mref = get_Mref_disturbance_rejection(t, y, config)
% Get reference moment for the current state and time
   
    % State variables    
    [sigma, sigma_dot, omega, gamma, gamma_dot, OMEGA] =  get_states(y, config);
    
    % Spacecraft body inertia
    J_B = diag([config.model.J_B_x, config.model.J_B_y, config.model.J_B_z]);
    
    % Error MRP
    sigma_err = sigma;
    
    % Reference moment to be generated by CMGs in the next step
    Mref = J_B*(config.controller.kp*sigma_err+config.controller.kv*omega) + config.model.M_e_disturbance;
    
end

